# Load libraries
import machine
import math

# Initialization of GPIO27 and GPIO28 as PWM pin
ledRed = machine.PWM(machine.Pin(27))
ledRed.freq(1000)
ledGreen = machine.PWM(machine.Pin(28))
ledGreen.freq(1000)

# Definition of a 2 digit list
RBG = [0,0]

# Function: Color space calculation for red and green and| Green is 90° offset to red
def sinColour(number):
    a = (math.sin(math.radians(number))+1)*32768
    c = (math.sin(math.radians(number+90))+1)*32768
    RBG = (int(a),int(c))
    return RBG

# Infinite loop where the color value for all two colors is shifted by 0.01 again and again
a = 0
while True:
    RBG = sinColour(a)
    a = a + 0.01
    if a == 360:
        a = 0
    ledRed.duty_u16(RBG[0])
    ledGreen.duty_u16(RBG[1])